Page MenuHomeFreeBSD

Remove the LL abomination
ClosedPublic

Authored by davide on Jul 17 2014, 11:20 PM.

Details

Reviewers
davide
mav
Summary

Requested by Bruce Evans

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

davide updated this revision to Diff 753.Jul 17 2014, 11:20 PM
davide retitled this revision from to Remove the LL abomination.
davide updated this object.
davide edited the test plan for this revision. (Show Details)
davide added a reviewer: mav.Jul 18 2014, 8:19 PM
mav edited edge metadata.Jul 19 2014, 12:48 PM

Not sure I am the best reviewer for this style question. My present thought is that it would possibly look better mapped to INT64_MAX.

Bruce Evans reviewed this privately.
Let's copy his comment here:

"OK. It has some subtleties and tiny unportabilities which are too arcane
to mention in comments or commit messages.

Please plan to remove the other 2 LL's in the file for the same reason.
Might be worth explaining in the commit message then."

davide accepted this revision.Aug 20 2014, 3:52 PM
davide added a reviewer: davide.

bde@ accepted this revision privately.

This revision is now accepted and ready to land.Aug 20 2014, 3:52 PM
davide closed this revision.Aug 20 2014, 5:31 PM

Committed (r270227)